

<!DOCTYPE html>

<html lang="ja">
  <head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>News - 1.2.x &#8212; Groonga v10.1.1-31-g1e46ba6ドキュメント</title>
    <link rel="stylesheet" href="../_static/groonga.css" type="text/css" />
    <link rel="stylesheet" href="../_static/pygments.css" type="text/css" />
    
    <script id="documentation_options" data-url_root="../" src="../_static/documentation_options.js"></script>
    <script src="../_static/jquery.js"></script>
    <script src="../_static/underscore.js"></script>
    <script src="../_static/doctools.js"></script>
    <script src="../_static/language_data.js"></script>
    <script src="../_static/translations.js"></script>
    
    <link rel="shortcut icon" href="../_static/favicon.ico"/>
    <link rel="index" title="索引" href="../genindex.html" />
    <link rel="search" title="検索" href="../search.html" /> 
  </head><body>
<div class="header">
  <h1 class="title">
    <a id="top-link" href="../index.html">
      <span class="project">groonga</span>
      <span class="separator">-</span>
      <span class="description">オープンソースのカラムストア機能付き全文検索エンジン</span>
    </a>
  </h1>

  <div class="other-language-links">
    <ul>
      <li><a href="../../../en/html/news/1.2.x.html">English</a></li>
    </ul>
  </div>
</div>
  

    <div class="related" role="navigation" aria-label="related navigation">
      <h3>ナビゲーション</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../genindex.html" title="総合索引"
             accesskey="I">索引</a></li>
        <li class="nav-item nav-item-0"><a href="../index.html">Groonga v10.1.1-31-g1e46ba6ドキュメント</a> &#187;</li>
        <li class="nav-item nav-item-this"><a href="">News - 1.2.x</a></li> 
      </ul>
    </div>  

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          <div class="body" role="main">
            
  <div class="section" id="news-1-2-x">
<h1>News - 1.2.x<a class="headerlink" href="#news-1-2-x" title="このヘッドラインへのパーマリンク">¶</a></h1>
<div class="section" id="release-1-2-9-2011-12-29">
<span id="release-1-2-9"></span><h2>1.2.9リリース - 2011-12-29<a class="headerlink" href="#release-1-2-9-2011-12-29" title="このヘッドラインへのパーマリンク">¶</a></h2>
<div class="section" id="improvements">
<h3>改良<a class="headerlink" href="#improvements" title="このヘッドラインへのパーマリンク">¶</a></h3>
<ul class="simple">
<li><p>Fedora 16をサポート。</p></li>
<li><p>Fedora 15サポートを削除。</p></li>
<li><p>[groonga] ホスト名を解決できない環境でも動作するようにサーバーIDのアドレスをデフォルト値をlocalhostにした。 [&#64;uzullaさんが報告]</p></li>
<li><p>MAP_HUGETLB対応。</p></li>
<li><p>[admin] スループットチャート対応。</p></li>
<li><p><code class="docutils literal notranslate"><span class="pre">grn_itoh()</span></code> 内でnul文字を使いするのをやめた。 [#1194] [設樂洋爾さんが報告]</p></li>
<li><p><code class="docutils literal notranslate"><span class="pre">grn_obj_get_values()</span></code> を追加。</p></li>
<li><p><code class="docutils literal notranslate"><span class="pre">grn_obj_delete_by_id()</span></code> を追加。</p></li>
<li><p>クエリ展開で文字列のベクター型のカラムをサポート。 [#1216]</p></li>
<li><p>一度にたくさんのレコードを削除できるように <a class="reference internal" href="../reference/commands/delete.html"><span class="doc">delete</span></a> に <code class="docutils literal notranslate"><span class="pre">--filter</span></code> オプションを追加。 [#1225]</p></li>
<li><p><a class="reference internal" href="../reference/functions/geo_in_circle.html"><span class="doc">geo_in_circle</span></a> と <a class="reference internal" href="../reference/functions/geo_distance.html"><span class="doc">geo_distance</span></a> で近似方法指定をサポート。 [#1226]</p></li>
<li><p><code class="docutils literal notranslate"><span class="pre">geo_distance2()</span></code> と <code class="docutils literal notranslate"><span class="pre">geo_distance3()</span></code> を非推奨にした。</p></li>
<li><p>JSON出力内で、値のない位置情報データは <code class="docutils literal notranslate"><span class="pre">&quot;&quot;</span></code> ではなく <code class="docutils literal notranslate"><span class="pre">null</span></code> と出力するようにした。</p></li>
<li><p>MessagePack出力をだいたいサポート。 [#1215] [設樂洋爾さんが実装]</p></li>
<li><p>XML出力内のドリルダウン結果タグの後に改行を追加。</p></li>
<li><p>grn_datのtruncation対応。 [#892]</p></li>
<li><p>grn_datが最長共通接頭辞検索（longest common prefix search）をサポート。</p></li>
</ul>
</div>
<div class="section" id="fixes">
<h3>修正<a class="headerlink" href="#fixes" title="このヘッドラインへのパーマリンク">¶</a></h3>
<ul class="simple">
<li><p>[windows] mapの種類を間違っていた問題を修正。</p></li>
<li><p>コンパイラの-Wno-というフラグの検出に失敗していた問題を修正。 [Arnaud Fontaineさんがパッチを作成]</p></li>
<li><p><code class="docutils literal notranslate"><span class="pre">groonga</span> <span class="pre">--version</span></code> がMeCabについて間違って報告していた問題を修正。 [#1209] [設樂洋爾さんがパッチ作成]</p></li>
<li><p><code class="docutils literal notranslate"><span class="pre">grn_obj_remove()</span></code> 内でロックが足りない問題を修正。</p></li>
<li><p>エラー時のContent-Typeを修正。 [#1220] [設樂洋爾さんがパッチ作成]</p></li>
<li><p>SIS（半無限文字列）削除時にゴミが残る問題を修正。</p></li>
</ul>
</div>
<div class="section" id="thanks">
<h3>感謝<a class="headerlink" href="#thanks" title="このヘッドラインへのパーマリンク">¶</a></h3>
<ul class="simple">
<li><p>&#64;uzullaさん</p></li>
<li><p>Arnaud Fontaineさん</p></li>
<li><p>設樂洋爾さん</p></li>
</ul>
</div>
</div>
<div class="section" id="release-1-2-8-2011-11-29">
<span id="release-1-2-8"></span><h2>1.2.8リリース - 2011-11-29<a class="headerlink" href="#release-1-2-8-2011-11-29" title="このヘッドラインへのパーマリンク">¶</a></h2>
<p>オブジェクト（テーブルまたはカラム）のリネームがサポートされました！この機能を使うためにはデータベースを再構築する必要があります。以下のコマンドでデータベースを再構築することができます。:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>% groonga YOUR_DB dump &gt; db.dump
% groonga -n YOUR_NEW_DB &lt; db.dump
</pre></div>
</div>
<div class="admonition note">
<p class="admonition-title">注釈</p>
<p>groonga 1.2.8はgroonga 1.2.7以前のバージョンで作ったデータベースを開くことができます。しかし、groonga 1.2.7以前のバージョンではgroonga 1.2.8以降で作ったデータベースを開くことはできません。</p>
</div>
<div class="section" id="id1">
<h3>改良<a class="headerlink" href="#id1" title="このヘッドラインへのパーマリンク">¶</a></h3>
<ul class="simple">
<li><p>[grntest] 1行あたりの最大バイト数の制限を撤去。</p></li>
<li><p>[grntest] <code class="docutils literal notranslate"><span class="pre">--pid-path</span></code> オプションを追加。</p></li>
<li><p>[deb] 実験的にzlibとlzoを有効化。</p></li>
<li><p>[rpm] 実験的にzlibとlzoを有効化。</p></li>
<li><p>truncation対応。 [#892]</p></li>
<li><p>参照ロックフリーのダブル配列実装であるgrn_datを有効化。</p></li>
<li><p>[pkg-config] groonga.pcにgroonga_version変数を追加。</p></li>
<li><p><code class="docutils literal notranslate"><span class="pre">--disable-static</span></code> を再サポート。 [groonga-dev,00612] [Kenichi Aramakiさんが提案]</p></li>
<li><p>[munin] デフォルトではMuninプラグインをインストールしないようにした。</p></li>
<li><p>RedHatプラットフォーム関連のファイルはデフォルトではインストールしないようにした。</p></li>
<li><p>オブジェクトのリネームに対応。DBの再構築が必要です。 [#1167]</p></li>
<li><p>[munin] スループットを計測するMuninプラグインを追加。 [#1171]</p></li>
<li><p>[geo] geo_in_rectangleの高速化。新しい実装では、多くの場合、以前の実装よりも2倍程度高速になります。 [#1173]</p></li>
<li><p>[macports] groongaのMacPortsが公式リポジトリに移動しました。 [Hiroshi Umemotoさんが取り込み]</p></li>
<li><p>[geo] 位置情報の値のリテラルを度数からミリ秒へ変換するときに切り捨てではなく四捨五入するようにした。</p></li>
<li><p>デフラグ対象としてテーブルをサポート。テーブルを指定した場合はテーブルが持つカラムのうち可変長サイズ値用のカラムをデフラグ対象とする。 [#1175]</p></li>
<li><p>削除時に関連するパスも削除するようにした。 [#1180]</p></li>
<li><p>[deb] i386対応。</p></li>
<li><p>[rpm] i386対応。</p></li>
<li><p>[windows] x86対応。</p></li>
</ul>
</div>
<div class="section" id="id2">
<h3>修正<a class="headerlink" href="#id2" title="このヘッドラインへのパーマリンク">¶</a></h3>
<ul class="simple">
<li><p>zlib/lzo圧縮カラムにアクセスするとクラッシュするバグを修正。圧縮カラムにアクセスするとメモリリークするので注意。これを修正するためにはAPIを改良する必要があるため、今後修正予定。 [GtiHub#5][GtiHub#6] [Takayuki Yamaguchiさんが報告]</p></li>
<li><p>レコード削除時に必要のないカラムの値もクリアしてしまうバグを修正。</p></li>
<li><p>ソート時に間違ったインデックスを使うバグを修正。 [#766] [Horikoshi Yukiさんが報告]</p></li>
<li><p>[libedit] 必要な初期化処理が抜けていたバグを修正。 [GitHub#7] [SHIDARA Yojiさんがパッチを提供]</p></li>
<li><p>[doc] ドキュメントの誤字を修正。 [GitHub#8] [zundaさんがパッチを提供]</p></li>
</ul>
</div>
<div class="section" id="id3">
<h3>感謝<a class="headerlink" href="#id3" title="このヘッドラインへのパーマリンク">¶</a></h3>
<ul class="simple">
<li><p>Takayuki Yamaguchiさん</p></li>
<li><p>設樂洋爾さん</p></li>
<li><p>Horikoshi Yukiさん</p></li>
<li><p>zundaさん</p></li>
<li><p>Hiroshi Umemotoさん</p></li>
</ul>
</div>
</div>
<div class="section" id="release-1-2-7-2011-10-29">
<span id="release-1-2-7"></span><h2>1.2.7リリース - 2011-10-29<a class="headerlink" href="#release-1-2-7-2011-10-29" title="このヘッドラインへのパーマリンク">¶</a></h2>
<div class="section" id="id4">
<h3>改良<a class="headerlink" href="#id4" title="このヘッドラインへのパーマリンク">¶</a></h3>
<ul class="simple">
<li><p>[libedit] ワイド文字からマルチバイト列への変換時のエラーチェックを追加。 [設樂洋爾さんが報告]</p></li>
<li><p>grn_geo_estimate_in_rectangle()を追加。</p></li>
<li><p>長方形での位置情報検索にカーソルAPIを追加。</p></li>
<li><p>長方形での位置情報検索速度を向上。</p></li>
<li><p>Ubuntu 11.10 Oneiric Ocelotのパッケージを追加。</p></li>
<li><p>[実験的] Oracle Solaris 10 8/11をサポート。（まだシステムにインストール済みのgccでビルドできるだけ。）</p></li>
</ul>
</div>
<div class="section" id="id5">
<h3>修正<a class="headerlink" href="#id5" title="このヘッドラインへのパーマリンク">¶</a></h3>
<ul class="simple">
<li><p>ドキュメントの誤字を修正。 [&#64;soundkitchenさんが報告]</p></li>
</ul>
</div>
<div class="section" id="id6">
<h3>感謝<a class="headerlink" href="#id6" title="このヘッドラインへのパーマリンク">¶</a></h3>
<ul class="simple">
<li><p>設樂洋爾さん</p></li>
<li><p>&#64;soundkitchenさん</p></li>
</ul>
</div>
</div>
<div class="section" id="release-1-2-6-2011-09-29">
<span id="release-1-2-6"></span><h2>1.2.6リリース - 2011-09-29<a class="headerlink" href="#release-1-2-6-2011-09-29" title="このヘッドラインへのパーマリンク">¶</a></h2>
<div class="section" id="id7">
<h3>改良<a class="headerlink" href="#id7" title="このヘッドラインへのパーマリンク">¶</a></h3>
<ul class="simple">
<li><p>型変換時のエラーメッセージを改善。</p></li>
<li><p>型変換時の座標の値チェックを追加。</p></li>
<li><p><a class="reference internal" href="../tutorial/query_expansion.html"><span class="doc">クエリ拡張</span></a> をサポート。</p></li>
<li><p>クエリ展開用に <a class="reference internal" href="../reference/commands/select.html"><span class="doc">select</span></a> に <cite>--query_expansion</cite> オプションを追加。</p></li>
<li><p>座標の値の単位を度とミリ秒間で変換するマクロを追加。</p></li>
<li><p><a class="reference internal" href="../reference/functions/geo_distance.html"><span class="doc">geo_distance</span></a> ()内での型変換をサポート。</p></li>
<li><p>コマンドラインのパース時に全角スペースでトークンを区切らないようにした。 #986</p></li>
<li><p>TokyoGeoPointとWGS84GeoPoint間での変換をサポート。</p></li>
<li><p>grn_geo_select_in_circle()とgrn_geo_select_in_rectangle()をAPIとして公開した。</p></li>
<li><p>CentOS 6をサポート。</p></li>
<li><p>最新のDebian GNU/Linux sidをサポート。SATOH Fumiyasuさんによるパッチ。 GitHub#3</p></li>
</ul>
</div>
<div class="section" id="id8">
<h3>修正<a class="headerlink" href="#id8" title="このヘッドラインへのパーマリンク">¶</a></h3>
<ul class="simple">
<li><p>座標値がロード時に壊れてしまう問題を修正。</p></li>
</ul>
</div>
<div class="section" id="id9">
<h3>感謝<a class="headerlink" href="#id9" title="このヘッドラインへのパーマリンク">¶</a></h3>
<ul class="simple">
<li><p>SATOH Fumiyasuさん</p></li>
</ul>
</div>
</div>
<div class="section" id="release-1-2-5-2011-08-29">
<span id="release-1-2-5"></span><h2>1.2.5リリース - 2011-08-29<a class="headerlink" href="#release-1-2-5-2011-08-29" title="このヘッドラインへのパーマリンク">¶</a></h2>
<div class="section" id="id10">
<h3>改良<a class="headerlink" href="#id10" title="このヘッドラインへのパーマリンク">¶</a></h3>
<ul class="simple">
<li><p>実験的にWindowsインストーラの提供を開始。</p></li>
<li><p>名前に使える文字に&quot;#&quot;と&quot;-&quot;を追加。#1043</p></li>
<li><p>名前に使える文字のうち、&quot;_&quot;以外はすべて最初の文字にも使えるようになった。 #1043</p></li>
<li><p><a class="reference internal" href="../reference/commands/load.html"><span class="doc">load</span></a> の <cite>--each</cite> オプションが <cite>[...]</cite> 形式のデータでも動くようになった。 #1044</p></li>
<li><p><a class="reference internal" href="../reference/suggest.html"><span class="doc">サジェスト</span></a> のドキュメントを追加。</p></li>
<li><p>すべての <a class="reference internal" href="../reference/commands/suggest.html"><span class="doc">suggest</span></a> のタイプで閾値を利用できるようした。閾値を利用する場合は <cite>--frequency_threshold</cite> と <cite>--conditional_probability_threshold</cite> オプションを使う。 #1042</p></li>
<li><p>[groonga-suggest-httpd] SIGUSR1シグナルでのログの再オープンに対応。 #1048</p></li>
<li><p>参照ベクタカラムの値として文字列を指定すると自動的にトークナイズして格納するようにした。 #1051</p></li>
<li><p>[groonga-suggest-httpd] 1ファイル中の最大ログ行数を指定する <cite>--n-lines-per-log-file</cite> オプションを追加。</p></li>
<li><p>[groonga-suggest-httpd] <cite>--conditional_probability_threshold</cite> に対応する <cite>p</cite> パラメータを追加。</p></li>
<li><p>grn_ctx_init()とgrn_ctx_open()用にGRN_CTX_PER_DBフラグを追加。 #1053</p></li>
<li><p>grn_ctx_close()を公開。 #1035</p></li>
</ul>
</div>
<div class="section" id="id11">
<h3>修正<a class="headerlink" href="#id11" title="このヘッドラインへのパーマリンク">¶</a></h3>
<ul class="simple">
<li><p><a class="reference internal" href="../reference/commands/select.html"><span class="doc">select</span></a> でマッチ式の右辺に不正な値を指定するとクラッシュする問題を修正。 #1047</p></li>
<li><p>ハッシュテーブルのカーソルが間違ったレコードを返す問題を修正。</p></li>
</ul>
</div>
</div>
<div class="section" id="release-1-2-4-2011-07-29">
<span id="release-1-2-4"></span><h2>1.2.4リリース - 2011-07-29<a class="headerlink" href="#release-1-2-4-2011-07-29" title="このヘッドラインへのパーマリンク">¶</a></h2>
<div class="section" id="id12">
<h3>改良<a class="headerlink" href="#id12" title="このヘッドラインへのパーマリンク">¶</a></h3>
<ul class="simple">
<li><p><code class="docutils literal notranslate"><span class="pre">*BSD</span></code> をサポートを再サポート。（おばたさんが報告）</p></li>
<li><p>sed関連のポータビリティを改善。（おばたさんが提案）</p></li>
<li><p>Visual C++ 2008を再サポート。</p></li>
<li><p><a class="reference internal" href="../reference/commands/check.html"><span class="doc">check</span></a> がハッシュテーブルをサポート。</p></li>
<li><p><a class="reference internal" href="../reference/commands/select.html"><span class="doc">select</span></a> の--sortby内で_scoreを使えないときに_scoreを指定しても無視するようにした。 #1030</p></li>
<li><p><a class="reference internal" href="../reference/log.html"><span class="doc">ログ</span></a> に関するドキュメントを追加。</p></li>
<li><p>~/.editrcをサポート。</p></li>
<li><p>~/.groonga-historyをサポート。</p></li>
</ul>
</div>
<div class="section" id="id13">
<h3>修正<a class="headerlink" href="#id13" title="このヘッドラインへのパーマリンク">¶</a></h3>
<ul class="simple">
<li><p>libeditサポートが壊れていた問題を修正。（うえのさんが報告）</p></li>
<li><p><code class="docutils literal notranslate"><span class="pre">*.spec</span></code> のソースURLを修正。（うえのさんが報告）</p></li>
<li><p>パトリシアトライのカーソルが間違ったレコードを返す問題を修正。</p></li>
<li><p>データベースに対するgrn_obj_clear_lock()がデータベース自身のロックをクリアし忘れていたのでクリアするようにした。</p></li>
<li><p>レコード削除時に他のレコードのデータを削除してしまう可能性があるという問題を修正。</p></li>
</ul>
</div>
<div class="section" id="id14">
<h3>感謝<a class="headerlink" href="#id14" title="このヘッドラインへのパーマリンク">¶</a></h3>
<ul class="simple">
<li><p>おばたさん</p></li>
<li><p>うえのさん</p></li>
</ul>
</div>
</div>
<div class="section" id="release-1-2-3-2011-06-29">
<span id="release-1-2-3"></span><h2>1.2.3リリース - 2011-06-29<a class="headerlink" href="#release-1-2-3-2011-06-29" title="このヘッドラインへのパーマリンク">¶</a></h2>
<div class="section" id="id15">
<h3>改良<a class="headerlink" href="#id15" title="このヘッドラインへのパーマリンク">¶</a></h3>
<ul class="simple">
<li><p>不正なテーブル名チェックを追加。#912</p></li>
<li><p>クエリログを解析するgroonga-query-log-analyzerを追加。</p></li>
<li><p>groongaコマンドのエラー時に失敗したコマンドを表示するようになった。</p></li>
<li><p>groongaコマンドのエラー時にファイル名と行番号を表示するようになった。</p></li>
<li><p><a class="reference internal" href="../reference/commands/column_create.html"><span class="doc">column_create</span></a> のエラーメッセージを改善。#952</p></li>
<li><p>GRN_OBJ_TABLE_DAT_KEY（ダブル配列トライ）テーブルを追加。（実験的）</p></li>
</ul>
</div>
<div class="section" id="id16">
<h3>修正<a class="headerlink" href="#id16" title="このヘッドラインへのパーマリンク">¶</a></h3>
<ul class="simple">
<li><p>getコマンドでクラッシュする問題を修正。（おばたさんが報告）</p></li>
<li><p>クエリログで経過時間がオーバーフローする問題を修正。#944</p></li>
</ul>
</div>
<div class="section" id="id17">
<h3>感謝<a class="headerlink" href="#id17" title="このヘッドラインへのパーマリンク">¶</a></h3>
<ul class="simple">
<li><p>おばたさん</p></li>
</ul>
</div>
</div>
<div class="section" id="release-1-2-2-2011-05-29">
<span id="release-1-2-2"></span><h2>1.2.2リリース - 2011-05-29<a class="headerlink" href="#release-1-2-2-2011-05-29" title="このヘッドラインへのパーマリンク">¶</a></h2>
<div class="section" id="id18">
<h3>改良<a class="headerlink" href="#id18" title="このヘッドラインへのパーマリンク">¶</a></h3>
<ul class="simple">
<li><p>Ubuntu 11.04 Natty Narwhalのパッケージを追加。</p></li>
<li><p>Ubuntu 10.10 Maverick Meerkatのパッケージを削除。</p></li>
<li><p>RPM: サーバー関連のパッケージをgroonga-serverパッケージに分割。</p></li>
<li><p>suggest: エラーメッセージに対象オブジェクト名を加えるようにした。</p></li>
<li><p>ドキュメント: 英語のサポートを開始。（ただし、まだ不完全。）</p></li>
<li><p>groonga-suggest-httpd: --disable-max-fd-checkオプションを追加。</p></li>
<li><p>groonga: <a class="reference internal" href="../reference/executables/groonga.html#cmdoption-groonga-a"><code class="xref std std-option docutils literal notranslate"><span class="pre">groonga</span> <span class="pre">-a</span></code></a> オプションと <a class="reference internal" href="../reference/executables/groonga.html#cmdoption-groonga-a"><code class="xref std std-option docutils literal notranslate"><span class="pre">groonga</span> <span class="pre">--address</span></code></a> オプションを <a class="reference internal" href="../reference/executables/groonga.html#cmdoption-groonga-bind-address"><code class="xref std std-option docutils literal notranslate"><span class="pre">groonga</span> <span class="pre">--bind-address</span></code></a> に改名。</p></li>
<li><p>groonga-suggest-httpd: --address オプションを --bind-address に改名。</p></li>
<li><p>管理用HTMLのインストールディレクトリを$PREFIX/share/groonga/admin_html/から$PREFIX/share/groonga/html/admin/へ変更。</p></li>
<li><p>groonga-suggest-httpd: JSONレスポンス時には&quot;text/javascript&quot;ではなく&quot;application/json&quot;を使うようにした。</p></li>
<li><p>Windows: 実行ファイルからの相対パスではなく、DLLからの相対パスを使うようにした。</p></li>
<li><p>MeCab: MeCab初期化時のMeCabのエラーメッセージもgroongaのエラーメッセージに加えるようにした。</p></li>
<li><p>suggest: suggestコマンドにprefix_searchパラメータを追加。</p></li>
<li><p>plugin: grn_plugin_get_system_plugins_dir()とgrn_plugin_get_suffix() APIを追加。</p></li>
<li><p>grn_obj_is_builtin() APIを追加。</p></li>
<li><p><a class="reference internal" href="../reference/commands/load.html"><span class="doc">load</span></a>: テーブル名をチェックするようにした。 #934</p></li>
<li><p>不正な名前が指定された時のエラーメッセージにどこで指定されたかの情報を含めるようにした。 #935</p></li>
</ul>
</div>
<div class="section" id="id19">
<h3>修正<a class="headerlink" href="#id19" title="このヘッドラインへのパーマリンク">¶</a></h3>
<ul class="simple">
<li><p>マルチプロセスでデータを更新した場合にShortText型などの可変長データが壊れる問題を修正。 #890</p></li>
</ul>
</div>
</div>
<div class="section" id="id20">
<h2>1.2.1リリース - 2011-04-29<a class="headerlink" href="#id20" title="このヘッドラインへのパーマリンク">¶</a></h2>
<div class="section" id="id21">
<h3>改良<a class="headerlink" href="#id21" title="このヘッドラインへのパーマリンク">¶</a></h3>
<ul class="simple">
<li><p>suggestコマンドにthresholdパラメーターを追加。#895</p></li>
<li><p>suggestのHTTPサーバにlimitパラメーターを追加。#899</p></li>
<li><p>grntest: SIGINTでの中断に対応。</p></li>
</ul>
</div>
<div class="section" id="id22">
<h3>修正<a class="headerlink" href="#id22" title="このヘッドラインへのパーマリンク">¶</a></h3>
<ul class="simple">
<li><p>同時に複数のデータベースを開いているとき、1つでもデータベー
スを閉じると関連するプラグインも閉じられてしまう問題を修正。 #894</p></li>
<li><p>configureの--helpで出力される--with-deafult-encodingの値が
間違っていた問題を修正。（ICHII Takashiさんが報告）</p></li>
<li><p>チュートリアル中のtypoを修正。（moozさんが修正）</p></li>
</ul>
</div>
<div class="section" id="id23">
<h3>感謝<a class="headerlink" href="#id23" title="このヘッドラインへのパーマリンク">¶</a></h3>
<ul class="simple">
<li><p>ICHII Takashiさん</p></li>
<li><p>moozさん</p></li>
</ul>
</div>
</div>
<div class="section" id="id24">
<h2>1.2.0リリース - 2011-03-29<a class="headerlink" href="#id24" title="このヘッドラインへのパーマリンク">¶</a></h2>
<div class="section" id="id25">
<h3>改良<a class="headerlink" href="#id25" title="このヘッドラインへのパーマリンク">¶</a></h3>
<ul class="simple">
<li><p>MacPortsでのインストールドキュメントを追加。</p></li>
<li><p>Homebrewでのインストールドキュメントを追加。</p></li>
<li><p>WindowsではMinGWでもpthreadを使わないようにした。</p></li>
<li><p>オーバーフローチェックを強化。</p></li>
<li><p>位置情報の入力値チェックを強化。</p></li>
<li><p>インデックスを用いたジオサーチの例をチュートリアルに追加。 #438</p></li>
<li><p>Debian GNU/Linux wheezyのパッケージを追加。</p></li>
<li><p>Debian GNU/Linux lennyのパッケージを削除。</p></li>
<li><p>Debianパッケージをcdbsベースからdebhelperベースへ移行。
パッケージ名の変更あり。 #887</p></li>
<li><p>MeCabトークナイザーの読み込みエラーを無視するようにした。た
だし、ログには残る。 #893</p></li>
</ul>
</div>
<div class="section" id="id26">
<h3>修正<a class="headerlink" href="#id26" title="このヘッドラインへのパーマリンク">¶</a></h3>
<ul class="simple">
<li><p>autoconf 2.59環境において、ファイルシステムのルート直下に
groongaディレクトリを作成しようとする問題を修正。 #833</p></li>
<li><p>JSONPが動作しなくなっていた問題を修正。</p></li>
<li><p>MeCabトークナイザーの読み込みに失敗したときにクラッシュする問題を修正。
（&#64;tomotaka_itoさんが報告）</p></li>
<li><p>[非互換] 位置情報の小数表記からミリ秒への変換誤差が大きい問題を修正。</p></li>
<li><p><a class="reference internal" href="../reference/functions/geo_in_rectangle.html"><span class="doc">geo_in_rectangle</span></a> の <code class="docutils literal notranslate"><span class="pre">top_left</span></code> と
<code class="docutils literal notranslate"><span class="pre">bottom_right</span></code> に同じ位置を指定するとクラッシュする問題を修正。</p></li>
<li><p>メモリリークを修正。</p></li>
<li><p>小数形式のTimeリテラルをロードするとミリ秒情報が落ちる問題を修正。 #880</p></li>
<li><p><a class="reference internal" href="../reference/commands/column_list.html"><span class="doc">column_list</span></a> のドキュメントを修正。 #758</p></li>
<li><p><a class="reference internal" href="../reference/commands/table_list.html"><span class="doc">table_list</span></a> のドキュメントを修正。</p></li>
<li><p><a class="reference internal" href="../reference/commands/load.html"><span class="doc">load</span></a> で_valueを指定するとメモリリークする問題を修正。 #878</p></li>
<li><p><a class="reference internal" href="../reference/commands/load.html"><span class="doc">load</span></a> でクラッシュする問題を修正。 #661</p></li>
</ul>
</div>
<div class="section" id="id27">
<h3>実験的<a class="headerlink" href="#id27" title="このヘッドラインへのパーマリンク">¶</a></h3>
<ul class="simple">
<li><p>grn_table_truncate()を追加。（実験的。問題あり）</p></li>
<li><p>truncateコマンドを追加。（実験的。問題あり） #888</p></li>
</ul>
</div>
<div class="section" id="id28">
<h3>感謝<a class="headerlink" href="#id28" title="このヘッドラインへのパーマリンク">¶</a></h3>
<ul class="simple">
<li><p>&#64;tomotaka_itoさん</p></li>
</ul>
</div>
</div>
</div>


            <div class="clearer"></div>
          </div>
        </div>
      </div>
      <div class="sphinxsidebar" role="navigation" aria-label="main navigation">
        <div class="sphinxsidebarwrapper">
  <h3><a href="../index.html">目次</a></h3>
  <ul>
<li><a class="reference internal" href="#">News - 1.2.x</a><ul>
<li><a class="reference internal" href="#release-1-2-9-2011-12-29">1.2.9リリース - 2011-12-29</a><ul>
<li><a class="reference internal" href="#improvements">改良</a></li>
<li><a class="reference internal" href="#fixes">修正</a></li>
<li><a class="reference internal" href="#thanks">感謝</a></li>
</ul>
</li>
<li><a class="reference internal" href="#release-1-2-8-2011-11-29">1.2.8リリース - 2011-11-29</a><ul>
<li><a class="reference internal" href="#id1">改良</a></li>
<li><a class="reference internal" href="#id2">修正</a></li>
<li><a class="reference internal" href="#id3">感謝</a></li>
</ul>
</li>
<li><a class="reference internal" href="#release-1-2-7-2011-10-29">1.2.7リリース - 2011-10-29</a><ul>
<li><a class="reference internal" href="#id4">改良</a></li>
<li><a class="reference internal" href="#id5">修正</a></li>
<li><a class="reference internal" href="#id6">感謝</a></li>
</ul>
</li>
<li><a class="reference internal" href="#release-1-2-6-2011-09-29">1.2.6リリース - 2011-09-29</a><ul>
<li><a class="reference internal" href="#id7">改良</a></li>
<li><a class="reference internal" href="#id8">修正</a></li>
<li><a class="reference internal" href="#id9">感謝</a></li>
</ul>
</li>
<li><a class="reference internal" href="#release-1-2-5-2011-08-29">1.2.5リリース - 2011-08-29</a><ul>
<li><a class="reference internal" href="#id10">改良</a></li>
<li><a class="reference internal" href="#id11">修正</a></li>
</ul>
</li>
<li><a class="reference internal" href="#release-1-2-4-2011-07-29">1.2.4リリース - 2011-07-29</a><ul>
<li><a class="reference internal" href="#id12">改良</a></li>
<li><a class="reference internal" href="#id13">修正</a></li>
<li><a class="reference internal" href="#id14">感謝</a></li>
</ul>
</li>
<li><a class="reference internal" href="#release-1-2-3-2011-06-29">1.2.3リリース - 2011-06-29</a><ul>
<li><a class="reference internal" href="#id15">改良</a></li>
<li><a class="reference internal" href="#id16">修正</a></li>
<li><a class="reference internal" href="#id17">感謝</a></li>
</ul>
</li>
<li><a class="reference internal" href="#release-1-2-2-2011-05-29">1.2.2リリース - 2011-05-29</a><ul>
<li><a class="reference internal" href="#id18">改良</a></li>
<li><a class="reference internal" href="#id19">修正</a></li>
</ul>
</li>
<li><a class="reference internal" href="#id20">1.2.1リリース - 2011-04-29</a><ul>
<li><a class="reference internal" href="#id21">改良</a></li>
<li><a class="reference internal" href="#id22">修正</a></li>
<li><a class="reference internal" href="#id23">感謝</a></li>
</ul>
</li>
<li><a class="reference internal" href="#id24">1.2.0リリース - 2011-03-29</a><ul>
<li><a class="reference internal" href="#id25">改良</a></li>
<li><a class="reference internal" href="#id26">修正</a></li>
<li><a class="reference internal" href="#id27">実験的</a></li>
<li><a class="reference internal" href="#id28">感謝</a></li>
</ul>
</li>
</ul>
</li>
</ul>

<div id="searchbox" style="display: none" role="search">
  <h3 id="searchlabel">クイック検索</h3>
    <div class="searchformwrapper">
    <form class="search" action="../search.html" method="get">
      <input type="text" name="q" aria-labelledby="searchlabel" />
      <input type="submit" value="検索" />
    </form>
    </div>
</div>
<script>$('#searchbox').show(0);</script>
        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="related" role="navigation" aria-label="related navigation">
      <h3>ナビゲーション</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../genindex.html" title="総合索引"
             >索引</a></li>
        <li class="nav-item nav-item-0"><a href="../index.html">Groonga v10.1.1-31-g1e46ba6ドキュメント</a> &#187;</li>
        <li class="nav-item nav-item-this"><a href="">News - 1.2.x</a></li> 
      </ul>
    </div>
    <div class="footer" role="contentinfo">
        &#169; Copyright 2009-2021, Brazil, Inc.
    </div>
  </body>
</html>